﻿using Stimulsoft.Report;
using Stimulsoft.Report.Viewer;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Windows.Forms.Integration;

namespace WFTest
{
	public partial class Form1 : Form
	{
		public Form1 ()
		{
			InitializeComponent();

			var wpfHost = new ElementHost();
			wpfHost.Width = 750;
			wpfHost.Height = 550;
			Controls.Add( wpfHost );

			StiOptions.Wpf.CurrentTheme = StiOptions.Wpf.Themes.Office2013Theme;

			var viewer = new StiWpfViewerControl();
			wpfHost.HostContainer.Children.Add( viewer );

			var report = new StiReport();
			report.Load( "Report.mrt" );
			viewer.Report = report;
			viewer.Report.Render();
		}
	}
}
